# Documentation Specfile
%define HTMLVIEW %(eval 'if [ "%{?dist}" = ".el5" ]; then echo "1"; else echo "0"; fi')

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%endif

Name:	fedora-security-guide-en-US
Version:	1.0
Release:	18%{?dist}
Summary:	A Guide to Securing Fedora Linux
Group:		Documentation
License:	Open Publication
URL:		http://docs.fedoraproject.org
Source:		%{name}-%{version}.tgz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires:	publican desktop-file-utils

BuildRequires:	publican-fedora

%if %{HTMLVIEW}
Requires:	htmlview
%else
Requires:	xdg-utils
%endif

%description
The Linux Security Guide is designed to assist users of Linux in
learning the processes and practices of securing workstations and
servers against local and remote intrusion, exploitation, and
malicious activity. The Linux Security Guide details the planning
and the tools involved in creating a secured computing environment
for the data center, workplace, and home. With proper
administrative knowledge, vigilance, and tools, systems running
Linux can be both fully functional and secured from most common
intrusion and exploit methods.

%prep
%setup -q

%build
%{__make} html-desktop-en-US

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=fedora security-guide
Comment=A Guide to Securing Fedora Linux
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=%{_docdir}/%{name}-%{version}/images/icon.svg
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Aug 05 2009 Eric Chrisetnsen sparks@fedoraproject.org 1.0-18
- Fixed issues related to Bug 515043.


* Mon Jul 27 2009 Eric Christensen sparks@fedoraproject.org 1.0-17
- Repaired vendor information in SPEC.


* Fri Jul 24 2009  Fedora Release Engineering rel-eng@lists.fedoraproject.org 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild


* Tue Jul 14 2009 Eric Christensen sparks@fedoraproject.org 1.0-15
- Added "desktop-file-utils" to BUILDREQUIRES on the spec


* Tue Mar 10 2009 Scott Radvan sradvan@redhat.com 1.0-14
- Remove more rhel specifics, major review and remove draft, ready for push


* Mon Mar 2 2009 Scott Radvan sradvan@redhat.com 1.0-13
- Lots of minor fixes


* Wed Feb 11 2009 Scott Radvan sradvan@redhat.com 1.0-12
- new screenshots from F11 replacing existing/older ones


* Tue Feb 03 2009 Scott Radvan sradvan@redhat.com 1.0-11
- LUKS specifics to Fedora 9 modified to include later releases as well.
- Fix 404s in reference section, mainly bad NSA links.
- minor formatting changes.


* Wed Jan 27 2009 Eric Christensen sparks@fedoraproject.org 1.0-10
- Fixed missing firewall setup screenshot.


* Wed Jan 27 2009 Eric Christensen sparks@fedoraproject.org 1.0-9
- Repaired items found to be incorrect during validation. Many Red Hat references have been changed to Fedora references.

